1. Technology

Articles related to ruby 1.9.2

Installing Ruby on Snow Leopard with RVM - About.com
OS X 10.6 "Snow Leopard" comes with both Ruby 1.8.7 and Ruby on Rails ... want to install your own with RVM, access to Ruby 1.9.2 being the most obvious.
http://ruby.about.com/od/rubyversionmanager/ss/Installing-Ruby-On-Snow-Leopard-With-Rvm.htm
Using Sinatra in Ruby - Introduction - About.com
This is not just some small part of your application, like a controller in a Rails application, this is the entire thing. Another thing you may notice is that you didn't  ...
http://ruby.about.com/od/sinatra/a/sinatra2.htm
Using JSON: The JSON Gem - Ruby
On Ruby 1.8.7, you'll need to install a gem. However, in Ruby 1.9.2, the json gem is bundled with the core Ruby distribution. So, if you're using 1.9.2, you're ...
http://ruby.about.com/od/tasks/a/The-Json-Gem.htm
Serialized Hashes - Ruby - About.com
... convenient key/value store. There's no doubt, hashes are one of the most used types in Ruby. ... Note that this will only work on Ruby 1.9.2. #!/usr/bin/env ruby ...
http://ruby.about.com/od/tutorials/ss/Building-Hashes_3.htm
Hash Literals - Ruby - About.com
There's no doubt, hashes are one of the most used types in Ruby. ... This is the easiest way to do this in all code up to version 1.9.2. There, a new syntax was ...
http://ruby.about.com/od/tutorials/ss/Building-Hashes_2.htm
object specific behavior, or "monkeypatching," - Ruby - About.com
In Ruby before 1.9.2, getting the singleton class object (the object of the type Class that represents the singleton class of the object) was a bit convoluted.
http://ruby.about.com/od/oo/ss/Object-Specific-Behavior.htm
Indexing Strings - Ruby - About.com
However, before reading this article, you'll need to know your Ruby version. The way ... And the output of this program running on 1.8.7 and 1.9.2. Ads. &ensp.
http://ruby.about.com/od/strings/a/Indexing-Strings.htm
What's New in Sinatra 1.1? - Ruby - About.com
Oct 24, 2010 ... There were a few (small) bugs that prevented Sinatra 1.0 from working on Ruby 1.9.2. You can either find a workaround to these bugs, ...
http://ruby.about.com/od/sinatra/ss/Whats-New-In-Sinatra-1-1.htm
RVM and 'sudo' - Ruby - About.com
However, there may be times where you must run Ruby scripts with RVM as root ( or ... rvm use 1.9.2 $ ruby asroot.rb This script must be run as root, aborting.
http://ruby.about.com/od/rubyversionmanager/qt/Rvm-And-Sudo.htm
Installing Gosu - Ruby - About.com
You will, of course, need to install Ruby first. At the time of this writing, Gosu works fine with Ruby 1.8.6, 1.8.7 and 1.9.2, so any of these versions will work.
http://ruby.about.com/od/gosugme/ss/Installing-Gosu.htm
1  |  2      Next

©2014 About.com. All rights reserved.